#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
  char nazwa[37], pass[55], *n, *p;
  int l;
  printf("Nazwa: ");
  fgets(nazwa, sizeof nazwa, stdin);
  p = pass;
  l = 0;
  while (*n && *n != '\n') {
        if (l==2) { 
           l=0; 
           *p++ = '-'; 
           continue;
        }
        l++;
        *p = *n++ ^ 0x5E;
        *p &= 0x0F;
        *p >>= 1;
        *p += 0x30;
        ++p;
  }
  if (l != 2)
     *p++ = '0';
  *p = 0x00;
  printf("Pass: %s\n", pass);      	
  return 0;
}
